/**
* [Latitude, Longitude]
*/
export declare type Coords = [number, number];
/**
* Convert degrees to radians
*/
export declare function degreesToRadians(deg: number): number;
/**
* Convert dms (degrees/minutes/seconds) string to decimal degrees
*   toDecimal(`40 20 50W`)   => -40.34722
*   toDecimal(`40°20'50" S`) => -40.34722
*/
export declare function dmsToDecimal(str: string): number;
declare const haversine: {
    /**
    * Configurable earthRadius (in meters)
    */
    earthRadius: number;
    /**
    * Get distance between two points
    */
    distance(coords1: Coords, coords2: Coords): number;
    dmsToDecimal: typeof dmsToDecimal;
};
export default haversine;
